Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Log_Msg_Manager Class Reference

Synchronize output operations. More...

Collaboration diagram for ACE_Log_Msg_Manager:

[legend]
List of all members.

## Static Public Member Functions
int | init_backend (const u_long *flags=0)
## Static Public Attributes
ACE_Log_Msg_Backend * | log_backend_ = 0
ACE_Log_Msg_Backend * | custom_backend_ = 0
u_long | log_backend_flags_ = 0

## Detailed Description

Synchronize output operations.

Provides global point of contact for all ACE_Log_Msg instances in a process.

For internal use by ACE, only!

## Member Function Documentation

int ACE_Log_Msg_Manager::init_backend | ( | const u_long * | flags = `0` | ) | `[static]`

## Member Data Documentation

ACE_Log_Msg_Backend * ACE_Log_Msg_Manager::custom_backend_ = 0`[static]`

ACE_Log_Msg_Backend * ACE_Log_Msg_Manager::log_backend_ = 0`[static]`

u_long ACE_Log_Msg_Manager::log_backend_flags_ = 0`[static]`

The documentation for this class was generated from the following file:

- Log_Msg.cpp